Analytics

Sequence Stats

POST/v1/analytics/stats
POST
/v1/analytics/stats

Access high-level statistics, including detailed insights into prospects and emails, for a specific sequence.

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

sequenceIdstring

Id of the sequence

Example: "2dP27N0gZ4"

Responses

200
Sequence consolidated reports fetched successfully
{
  "message": "Sequence consolidated fetched successfully",
  "payload": {
    "prospects": [
      {
        "total": "25",
        "open": "0",
        "replied": "0",
        "clicked": "0",
        "unsubscribed": "0",
        "contacted": "0",
        "notContacted": "25",
        "uncategorized": "0",
        "interested": "0",
        "notInterested": "0",
        "meetingBooked": "0",
        "outOfOffice": "0",
        "closed": "0",
        "notNow": "0",
        "doNotContact": "0",
        "interestedDealValue": "0",
        "meetingBookedDealValue": "0",
        "closedDealValue": "0",
        "sentNoOpen": "0",
        "openedNoReply": "0",
        "openedNoClicked": "0",
        "clickedNoReply": "0"
      }
    ],
    "emails": {
      "total": 0,
      "status": {
        "scheduled": 0,
        "delivered": 0,
        "opened": 0,
        "clicked": 0,
        "replied": 0,
        "bounced": 0,
        "failed": 0
      }
    },
    "sequenceId": "8Jwomvq5aO",
    "sequenceName": "Welcome Campaign",
    "client": {
      "id": "g9bzZq4aMd",
      "firstName": "john",
      "lastName": "doe",
      "email": "[email protected]",
      "status": "active",
      "companyName": "Demo"
    }
  }
}

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/analytics/stats" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "sequenceId": "2dP27N0gZ4"
}'

Response

No response body